Subject: Re: [mpls-tp] [Mpls-interop] Comment on draft-sprecher-mpls-tp-survive-fwk-01.txt

From: "BUSI ITALO" <[email-masked]>
Date: Mon, 23 Mar 2009 19:07:43 +0100

I think we need to do more than just adding a reference to RFC4090.

For each mechanism described in this draft (including also FRR), we need
to discuss and describe how it works in the MPLS-TP environment, taking
into consideration MPLS-TP requirements and in particular co-routed
bidirectional transport paths, bidirectional protection switching and
support of operator's commands.

Italo

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Rahul Aggarwal
> Sent: Monday, March 23, 2009 10:57 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Mpls-interop] Comment on 
> draft-sprecher-mpls-tp-survive-fwk-01.txt
> 
> 
> Hi Adrian and Nurit,
> 
> I would like to see a reference to RFC4090 in section 4.4.3.
> 
> Thanks,
> rahul
> 
> 
> _______________________________________________
> Mpls-interop mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-interop
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 24 Mar 2009 01:27:33 -0000

Italo,

> support of operator's commands.

Yes, but...  :-)

I think you are right that section 5 must show how existing mechanisms may 
be used to meet some/all of the MPLS-TP protection requirements. Hopefully 
this will also show if some of the solutions are not applicable to some of 
the requirements.

Note that it is not required that a single mechanism meets all requirements. 
It is necessary that each requirement can be met by at least one mechanism.

Text is welcome!

Cheers,
Adrian

---

From: Nic Neate <[email-masked]>
Date: Tue, 24 Mar 2009 13:23:34 +0000

In particular, I don't think it's clear what requirements bypass LSPs meet that aren't already addressed by GMPLS 1:n protection.  Could someone clarify?

Thanks,

Nic

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: 24 March 2009 01:28
To: BUSI ITALO; Rahul Aggarwal; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [Mpls-interop] Comment ondraft-sprecher-mpls-tp-survive-fwk-01.txt

Italo,

> For each mechanism described in this draft (including also FRR), we 
> need to discuss and describe how it works in the MPLS-TP environment, 
> taking into consideration MPLS-TP requirements and in particular 
> co-routed bidirectional transport paths, bidirectional protection 
> switching and support of operator's commands.

Yes, but...  :-)

I think you are right that section 5 must show how existing mechanisms may be used to meet some/all of the MPLS-TP protection requirements. Hopefully this will also show if some of the solutions are not applicable to some of the requirements.

Text is welcome!

Cheers,
Adrian 

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 24 Mar 2009 15:12:28 -0000

Hmmm?

In 1:n protection, "one LSP protects n LSPs." BUT after a failure, the 
traffic on only one of the n LSPs is protected. This is usually considered 
to be achieved by switching.

With a bypass tunnel (in facility protection) "one LSP protects n LSPs." AND 
after failure the traffic on all n LSPs is protected. This is usually 
considered to be achieved by tunnelling.

A
----- Original Message ----- 
From: "Nic Neate" <[email-masked]>
To: "Aria - Adrian Farrel Personal" <[email-masked]>; "BUSI ITALO" 
<[email-masked]>; "Rahul Aggarwal" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, March 24, 2009 1:23 PM
Subject: RE: [mpls] [Mpls-interop] 
Commentondraft-sprecher-mpls-tp-survive-fwk-01.txt

In particular, I don't think it's clear what requirements bypass LSPs meet 
that aren't already addressed by GMPLS 1:n protection.  Could someone 
clarify?

Thanks,

Nic

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of 
Adrian Farrel
Sent: 24 March 2009 01:28
To: BUSI ITALO; Rahul Aggarwal; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [Mpls-interop] Comment 
ondraft-sprecher-mpls-tp-survive-fwk-01.txt

Italo,

Yes, but...  :-)

Text is welcome!

Cheers,
Adrian

---

From: "Malcolm Betts" <[email-masked]>
Date: Tue, 24 Mar 2009 12:27:59 -0400

Adrian, not sure I like the implication that I must run multiple
mechanisms to meet the requirements of a given deployment scenario.  See
in line below.

Malcolm Betts
Nortel Networks
Phone: +1 613 763 7860 (ESN 393)
email: [email-masked]

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Monday, March 23, 2009 9:28 PM
To: BUSI ITALO; Rahul Aggarwal; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Mpls-interop]
Commentondraft-sprecher-mpls-tp-survive-fwk-01.txt

Italo,

Yes, but...  :-)

I think you are right that section 5 must show how existing mechanisms
may be used to meet some/all of the MPLS-TP protection requirements.
Hopefully this will also show if some of the solutions are not
applicable to some of the requirements.

Note that it is not required that a single mechanism meets all
requirements. 
It is necessary that each requirement can be met by at least one
mechanism.

>MB We need to be careful with this IMHO it is preferable to have a
single mechanism to support commonly used sub sets of the requirements. 

Text is welcome!

Cheers,
Adrian

---

From: Nic Neate <[email-masked]>
Date: Tue, 24 Mar 2009 17:18:27 +0000

Which begs the question, what new function is provided by bypass LSPs that can't be achieved using GMPLS 1:1 protection for n LSPs?  (This may be related to Yaacov's point about 1:n vs (1:1)^n yesterday.)

The answer may be that bypass LSPs reduce state - only one is required rather than n.  If that is a requirement, it could also be met by using LSP hierarchy for 1:1 GMPLS recovery LSPs.

Are there any other reasons for including multiple mechanisms that provide very similar function?

Nic

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: 24 March 2009 15:12
To: Nic Neate; BUSI ITALO; Rahul Aggarwal
Cc: [email-masked]
Subject: Re: Commentondraft-sprecher-mpls-tp-survive-fwk-01.txt

Hmmm?

In 1:n protection, "one LSP protects n LSPs." BUT after a failure, the traffic on only one of the n LSPs is protected. This is usually considered to be achieved by switching.

With a bypass tunnel (in facility protection) "one LSP protects n LSPs." AND after failure the traffic on all n LSPs is protected. This is usually considered to be achieved by tunnelling.

A
----- Original Message ----- 
From: "Nic Neate" <[email-masked]>
To: "Aria - Adrian Farrel Personal" <[email-masked]>; "BUSI ITALO" 

Thanks,

Nic

-----Original Message-----

Italo,

Yes, but...  :-)

Text is welcome!

Cheers,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 25 Mar 2009 18:04:04 -0000

> mechanisms to meet the requirements of a given deployment
> scenario.

Hmm?
I think you use lungs and legs when you go for a walk.
Everything is made up of building blocks.

>  See in line below.

Your point is valid that you don't want to be juggling lots of different 
bits and pieces.
Also that pieces that are separate need to be coordinated and compatible.

A